Subject: Re: [PATCH] t6006-*.sh: Fix truncation tests

From: Alexey Shumkin <[email-masked]>
Date: Wed, 21 May 2014 08:11:00 +0400

On Tue, May 20, 2014 at 10:10:46AM -0700, Junio C Hamano wrote:
> Alexey Shumkin <[email-masked]> writes:
> 
> > AFAIU, Junio already applied my patches (existance of a branch
> > as/pretty-truncate tells us that). So, we can only send other patches that
> > fix errors brought with former patches.
> 
> No, NO, NOOOOO....
> 
> The existence of a branch merely means that I saw the patches, and
> that I thought that the series was not completely useless.  In other
> words, it indicates that I wanted to make sure that I won't forget
> about the topic, and it was worth my time to create the branch and
> apply there for that purpose.
Oh, I got it!
I'll fix my typo (ISO8895-1 vs ISO8859-1) and quotes issue then.
And will reroll patches.

Thanks!
> 
> Please do not read anything more than that.  Presense of a topic
> branch by itself does not say that I _read_ the patches or I thought
> they did not need reroll.
> 
> When such a branch is merged to 'next', that means I read the
> patches myself, or I saw somebody whose judgement I and others in
> the community trust read them and gave a positive response or an
> Ack, and that I decided that the topic is in a good enough shape to
> be worked on further with incremental updates.
> 
> You are talking about the latter state, but as/pretty-truncate is in
> the former state.